<?php
/**
* バックトレース要素クラス
*
* PHP version 5
*
* @package    debug
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class BackTraceElement extends Object
{
	private $_spec;
	private $_source;
	private $_history;

	/*
	 *	コンストラクタ
	 */
	public function __construct( $spec, $source, $history )
	{
		$this->_spec    = $spec;
		$this->_source  = $source;
		$this->_history = $history;
	}

	/*
	 *	仕様を取得
	 */
	public function getSpec()
	{
		return $this->_spec;
	}

	/*
	 *	ソースを取得
	 */
	public function getSource()
	{
		return $this->_source;
	}

	/*
	 *	履歴を取得
	 */
	public function getHistory()
	{
		return $this->_history;
	}
}

return __FILE__;